.section-contact {
  background-color: var(--primary-gray-light);
  padding: 160px var(--content-gutter);

  @media (max-width: 540px) {
    padding: 80px var(--content-gutter);
  }

  .contact-header {
    @media (max-width: 540px) {
      text-align: center;
    }
    .headline__en {
      font-family: var(--font-en);
      font-weight: 400;
      font-size: 56px;
      letter-spacing: 0.02em;

      @media (max-width: 540px) {
        font-size: 48px;
      }
    }

    .headlline__ja {
      font-weight: 500;
      letter-spacing: 0.08em;
    }
  }

  .contact-content {
    display: flex;
    justify-content: space-between;
    width: 100%;
    margin-top: 60px;
    gap: 40px 20px;

    @media (max-width: 1020px) {
      flex-direction: column;
    }
  }

  .card-title {
    font-size: 18px;
    line-height: 2;
    letter-spacing: 0.08em;
    margin-bottom: 10px;
    display: block;

    @media (max-width: 540px) {
      line-height: 1.6;
      text-align: center;
    }
  }

  .contact-tel {
    max-width: 693px;
    width: 100%;

    .contact-card {
      display: flex;
      gap: 8px;

      @media (max-width: 540px) {
        flex-direction: column;
      }

      .contact-card-item {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 10px;
        height: 160px;
        background-color: var(--primary-white);
        width: calc(calc(100% - 16px) / 3);
        border-radius: 4px;
        backdrop-filter: blur(10px);
        box-shadow: 0px 1px 2px 0px #0000000f;

        @media (max-width: 540px) {
          width: 100%;
          height: 100px;
        }
      }

      .contact__company {
        font-size: 16px;
        letter-spacing: 0.08em;
      }

      .contact__num {
        font-weight: 600;
        font-size: 20px;
        line-height: 100%;
        letter-spacing: 0.06em;
        color: #005b47;
      }

      .contact__location {
        font-size: 13px;
        letter-spacing: 0.08em;
      }
    }
  }

  .contact-email {
    max-width: 487px;
    width: 100%;

    .contact-card-item {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      height: 160px;
      border-radius: 4px;
      backdrop-filter: blur(10px);
      box-shadow: 0px 1px 2px 0px #0000000f;
      background-color: var(--primary-white);

      @media (max-width: 540px) {
        height: 100px;
      }

      .btn-wrapper {
        margin: 0;
      }
    }
  }
}

.footer-main {
  background-color: #000;
  padding: 100px 24px 60px;

  @media (max-width: 540px) {
    padding: 80px 16px;
  }
}

.footer-content {
  color: var(--primary-white);
  max-width: 1280px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  gap: 27px 24px;

  @media (max-width: 540px) {
    flex-direction: column;
  }

  .company-info-wrapper {
    .logo-text {
      display: inline-block;
      font-size: 14px;
      line-height: 1.6;
      letter-spacing: 0.1em;
      margin-bottom: 16px;
    }
  }

  .footer-logo-wrapper {
    padding-bottom: 20px;

    @media (max-width: 540px) {
      padding-bottom: 0;
    }
  }

  .company-info {
    margin-top: 40px;

    .location,
    .address,
    .map-link {
      display: block;
    }

    .location {
      font-weight: 500;
      font-size: 13px;
      letter-spacing: 0.08em;
      @media (max-width: 540px) {
        font-size: 14px;
      }
    }

    .address {
      font-weight: 500;
      font-size: 13px;
      line-height: 1.6;
      letter-spacing: 0.08em;

      @media (max-width: 540px) {
        font-size: 14px;
      }
    }

    .map-link {
      display: flex;
      align-items: center;
      font-family: var(--font-en);
      font-weight: 400;
      font-size: 13px;
      gap: 4px;
    }
  }

  .footer-nav {
    .nav {
      width: 240px;
      .menu-list {
        display: flex;
        flex-direction: column;

        .menu-item {
          a {
            color: var(--primary-white);
            display: inline-block;
            padding: 10px 0;
            line-height: 1.6;
            letter-spacing: 0.08em;
          }
        }
      }
    }
  }
}

.footer-bottom {
  margin-top: 80px;

  @media (max-width: 540px) {
    margin-top: 40px;
  }

  .footer-content {
    flex-direction: row;
  }

  .privacy,
  .copyright {
    font-family: var(--font-en);
    font-weight: 400;
    font-size: 12px;
    letter-spacing: 0.16em;
  }
}
